Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ParticipationInformationGenerator

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ParticipationInformationGenerator

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ParticipationInformationGenerator

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Participation Information Generator', and utility methods for working with them. abstDomain: V10251 (C-0-D10901-V10251-cpt)

See Also:
  `CDAR2Package.getParticipationInformationGenerator()`

Field Summary
`static int` | `AUT` The 'AUT' literal value.
`static ParticipationInformationGenerator` | `AUT_LITERAL` The 'AUT' literal object.
`static int` | `ENT` The 'ENT' literal value.
`static ParticipationInformationGenerator` | `ENT_LITERAL` The 'ENT' literal object.
`static int` | `INF` The 'INF' literal value.
`static ParticipationInformationGenerator` | `INF_LITERAL` The 'INF' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Participation Information Generator' enumerators.
`static int` | `WIT` The 'WIT' literal value.
`static ParticipationInformationGenerator` | `WIT_LITERAL` The 'WIT' literal object.

Method Summary
`static ParticipationInformationGenerator` | `get(int value)` Returns the 'Participation Information Generator' literal with the specified integer value.
`static ParticipationInformationGenerator` | `get(java.lang.String literal)` Returns the 'Participation Information Generator' literal with the specified literal value.
`static ParticipationInformationGenerator` | `getByName(java.lang.String name)` Returns the 'Participation Information Generator' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AUT

    public static final int AUT

  The 'AUT' literal value.

  If the meaning of 'AUT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AUT_LITERAL`, Constant Field Values

### ENT

    public static final int ENT

  The 'ENT' literal value.

  If the meaning of 'ENT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ENT_LITERAL`, Constant Field Values

### INF

    public static final int INF

  The 'INF' literal value.

  If the meaning of 'INF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INF_LITERAL`, Constant Field Values

### WIT

    public static final int WIT

  The 'WIT' literal value.

  If the meaning of 'WIT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `WIT_LITERAL`, Constant Field Values

### AUT_LITERAL

    public static final ParticipationInformationGenerator AUT_LITERAL

  The 'AUT' literal object.

  See Also:
    `AUT`

### ENT_LITERAL

    public static final ParticipationInformationGenerator ENT_LITERAL

  The 'ENT' literal object.

  See Also:
    `ENT`

### INF_LITERAL

    public static final ParticipationInformationGenerator INF_LITERAL

  The 'INF' literal object.

  See Also:
    `INF`

### WIT_LITERAL

    public static final ParticipationInformationGenerator WIT_LITERAL

  The 'WIT' literal object.

  See Also:
    `WIT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Participation Information Generator' enumerators.

Method Detail

### get

    public static ParticipationInformationGenerator get(java.lang.String literal)

  Returns the 'Participation Information Generator' literal with the specified literal value.

### getByName

    public static ParticipationInformationGenerator getByName(java.lang.String name)

  Returns the 'Participation Information Generator' literal with the specified name.

### get

    public static ParticipationInformationGenerator get(int value)

  Returns the 'Participation Information Generator' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD